Name:           python-pyqt6
Version:        6.9.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python bindings for the Qt cross platform application toolkit

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.riverbankcomputing.com/software/pyqt/
Source:         %{pypi_source pyqt6}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyqt6' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyqt6
Summary:        %{summary}

%description -n python3-pyqt6 %_description


%prep
%autosetup -p1 -n pyqt6-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyqt6 -f %{pyproject_files}


%changelog
%autochangelog